freesrp_common Class Reference

`#include <freesrp_common.h>`

Inheritance diagram for freesrp_common:

## Public Member Functions

size_t | get_num_channels (void)
osmosdr::meta_range_t | get_sample_rates (void)
osmosdr::freq_range_t | get_freq_range (size_t chan=0)
osmosdr::freq_range_t | get_bandwidth_range (size_t chan=0)
double | set_freq_corr (double ppm, size_t chan=0)
double | get_freq_corr (size_t chan=0)

## Static Public Member Functions

static std::vector< std::string > | get_devices ()

## Protected Member Functions

| freesrp_common (const std::string &args)

## Protected Attributes

bool | _ignore_overflow = false

## Static Protected Attributes

static std::shared_ptr<::FreeSRP::FreeSRP > | _srp

## Constructor & Destructor Documentation

## freesrp_common()

freesrp_common::freesrp_common | ( | const std::string & | args | ) |

protected

## Member Function Documentation

## get_bandwidth_range()

osmosdr::freq_range_t freesrp_common::get_bandwidth_range | ( | size_t | chan = 0 | ) |

Referenced by freesrp_sink_c::get_bandwidth_range(), and freesrp_source_c::get_bandwidth_range().

## get_devices()

std::vector< std::string > freesrp_common::get_devices | ( |  | ) |

static

Referenced by freesrp_sink_c::get_devices(), and freesrp_source_c::get_devices().

## get_freq_corr()

double freesrp_common::get_freq_corr | ( | size_t | chan = 0 | ) |

Referenced by freesrp_sink_c::get_freq_corr(), and freesrp_source_c::get_freq_corr().

## get_freq_range()

osmosdr::freq_range_t freesrp_common::get_freq_range | ( | size_t | chan = 0 | ) |

Referenced by freesrp_sink_c::get_freq_range(), and freesrp_source_c::get_freq_range().

## get_num_channels()

size_t freesrp_common::get_num_channels | ( | void |  | ) |

Referenced by freesrp_sink_c::get_num_channels(), and freesrp_source_c::get_num_channels().

## get_sample_rates()

osmosdr::meta_range_t freesrp_common::get_sample_rates | ( | void |  | ) |

Referenced by freesrp_sink_c::get_sample_rates(), and freesrp_source_c::get_sample_rates().

## set_freq_corr()

double freesrp_common::set_freq_corr | ( | double | ppm,
|  | size_t | chan = 0 )

Referenced by freesrp_sink_c::set_freq_corr(), and freesrp_source_c::set_freq_corr().

## Member Data Documentation

## _ignore_overflow

bool freesrp_common::_ignore_overflow = false

protected

## _srp

std::shared_ptr<::FreeSRP::FreeSRP> freesrp_common::_srp

static protected

The documentation for this class was generated from the following file:

- freesrp_common.h